| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLTextureEnabledElement Class Reference
Element Classes

The SoGLTextureEnabledElement class is an element which controls whether texturing is enabled or not. More...

`#include <Inventor/elements/SoGLTextureEnabledElement.h>`

Inheritance diagram for SoGLTextureEnabledElement:

## Public Types

enum | Mode { DISABLED, TEXTURE2D, RECTANGLE, CUBEMAP }

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
virtual void | setElt (int32_t value)
| FIXME: write doc.

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const SbBool enabled)
static void | set (SoState *const state, const SbBool enabled)
static SbBool | get (SoState *const state)
static SbBool | getDefault (void)
static void | enableRectangle (SoState *state, SoNode *node)
static void | enableCubeMap (SoState *state, SoNode *node)
static Mode | getMode (SoState *state)
Static Public Member Functions inherited from SoTextureEnabledElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const SbBool enabled)
static SbBool | get (SoState *const state)
static SbBool | getDefault (void)
Static Public Member Functions inherited from SoInt32Element
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void | set (const int index, SoState *const state, const int32_t value)
static int32_t | get (const int index, SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoGLTextureEnabledElement ()
Protected Member Functions inherited from SoTextureEnabledElement
virtual | ~SoTextureEnabledElement ()

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoInt32Element
int32_t | data
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLTextureEnabledElement class is an element which controls whether texturing is enabled or not.

The SoGTexture3EnabledElement class is a an element which stores whether 3D texturing is enabled or not.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

See Also
  SoGLTexture3EnabledElement
  SoTextureEnabledElement

Since
  Coin 2.0
  TGS Inventor 2.6

## Constructor & Destructor Documentation

SoGLTextureEnabledElement::~SoGLTextureEnabledElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLTextureEnabledElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLTextureEnabledElement::push | ( | SoState * | state) |  |

virtual

This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

void SoGLTextureEnabledElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement
| ) |  |

virtual

This method is callled when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

void SoGLTextureEnabledElement::set | ( | SoState *const | state,
|  | const SbBool | enabled
| ) |  |

static

Sets the state of the element.

SbBool SoGLTextureEnabledElement::get | ( | SoState *const | state) |  |

static

Return current state of this element.

SbBool SoGLTextureEnabledElement::getDefault | ( | void | ) |  |

static

Returns default state of this element (FALSE).

void SoGLTextureEnabledElement::enableRectangle | ( | SoState * | state,
|  | SoNode * | node
| ) |  |

static

Enables GL_TEXTURE_RECTANGLE_EXT/NV. GL_TEXTURE_2D/GL_TEXTURE_CUBE_MAP will be disabled if it's enabled earlier.

Since
  Coin 2.2

void SoGLTextureEnabledElement::enableCubeMap | ( | SoState * | state,
|  | SoNode * | node
| ) |  |

static

Enables GL_TEXTURE_CUBE+MAP. GL_TEXTURE_2D and/or GL_TEXTURE_RECTANGLE will be disabled if it's enabled earlier.

SoGLTextureEnabledElement::Mode SoGLTextureEnabledElement::getMode | ( | SoState * | state) |  |

static

Returns the current texture mode.

The documentation for this class was generated from the following files:

- SoGLTextureEnabledElement.h
- SoGLTextureEnabledElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.